| CMSIS-CORE Version 4.00 CMSIS-CORE support for Cortex-M processor-based devices

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
IPSR_Type Union Reference

Union type to access the Interrupt Program Status Register (IPSR).

## Data Fields

struct {
uint32_t ISR:9
| bit: 0.. 8 Exception number
uint32_t _reserved0:23
| bit: 9..31 Reserved
} | b
| Structure used for bit access.
uint32_t | w
| Type used for word access.

## Field Documentation

uint32_t IPSR_Type::_reserved0

struct { ... } IPSR_Type::b

uint32_t IPSR_Type::ISR

uint32_t IPSR_Type::w